fileatime
filegroup
Filesystem Functions
PHP Manual

# filectime

(PHP 4, PHP 5, PHP 7)

filectime — Gets inode change time of file

### Description

int filectime ( string `$filename` )

Gets the inode change time of a file.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns the time the file was last changed, or `FALSE` on failure. The time is returned as a Unix timestamp.

### Examples

Example #1 A filectime() example

`<?php
// outputs e.g. somefile.txt was last changed: December 29 2002 22:16:23.
$filename = 'somefile.txt';
if (file_exists($filename)) {
echo "$filename was last changed: " . date("F d Y H:i:s.", filectime($filename));
}
?>`

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### Notes

> Note:

> Note: In most Unix filesystems, a file is considered changed when its inode data is changed; that is, when the permissions, owner, group, or other metadata from the inode is updated. See also filemtime() (which is what you want to use when you want to create "Last Modified" footers on web pages) and fileatime().

> Note:

> Note also that in some Unix texts the ctime of a file is referred to as being the creation time of the file. This is wrong. There is no creation time for Unix files in most Unix filesystems.

> Note:

> Note that time resolution may differ from one file system to another.

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to Supported Protocols and Wrappers to determine which wrappers support stat() family of functionality.

### See Also

- filemtime() - Gets file modification time

fileatime
filegroup
Filesystem Functions
PHP Manual